General question about QtCreator

Discussion related to "under the hood" OpenMV topics.
bogflap
Posts: 17
Joined: Mon Apr 16, 2018 10:03 am

General question about QtCreator

Postby bogflap » Wed Jun 13, 2018 3:49 am

I use QtCreator to compile the IDE and I get the following under the general messages tab

[Inexact] Project MESSAGE: No gmock is found! To enable unit tests set GOOGLETEST_DIR
[Inexact] Project ERROR: No LLVM_INSTALL_DIR provided
Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
[Inexact] Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
[Inexact] Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
[Inexact] Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
[Inexact] Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
[Inexact] Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
[Inexact] Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
QML module does not contain information about components contained in plugins.

Module path: /home/shaun/Qt/5.5/gcc_64/qml
See "Using QML Modules with Plugins" in the documentation.

Automatic type dump of QML module failed.
Errors:
"/home/shaun/Qt/5.5/gcc_64/bin/qmlplugindump" crashed.
Arguments: --builtins
This application failed to start because it could not find or load the Qt platform plugin "minimal"
in "".

Available platform plugins are: linuxfb, minimal, offscreen, xcb.

Reinstalling the application may fix this problem.

This is the only project where I get these messages. The project compiles okay without, as far as I can tell, any adverse effects.
Anybody any ideas about how I can prevent these messages or am I doing anything wrong.
User avatar
kwagyeman
Posts: 2121
Joined: Sun May 24, 2015 2:10 pm

Re: General question about QtCreator

Postby kwagyeman » Wed Jun 13, 2018 11:14 am

Hi, you can't get rid of those messages without messing with the qmake scanning process. They are all not serious errors so I just ignore them.

Code: Select all

Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
[Inexact] Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
[Inexact] Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
[Inexact] Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
[Inexact] Project MESSAGE: This project is using private headers and will therefore be tied to this specific Qt module build version.
[Inexact] Project MESSAGE: Running this project against other versions of the Qt modules may crash at any arbitrary point.
[Inexact] Project MESSAGE: This is not a bug, but a result of using Qt internals. You have been warned!
You can't ever get rid of these messages. Because they are generated by valid code being used in the QtCreator app.

Code: Select all

[Inexact] Project MESSAGE: No gmock is found! To enable unit tests set GOOGLETEST_DIR
[Inexact] Project ERROR: No LLVM_INSTALL_DIR provided
I don't get these ones. But, they don't matter. None of that stuff above is used.

Code: Select all

QML module does not contain information about components contained in plugins.

Module path: /home/shaun/Qt/5.5/gcc_64/qml
See "Using QML Modules with Plugins" in the documentation.

Automatic type dump of QML module failed.
Errors:
"/home/shaun/Qt/5.5/gcc_64/bin/qmlplugindump" crashed.
Arguments: --builtins
This application failed to start because it could not find or load the Qt platform plugin "minimal"
in "".

Available platform plugins are: linuxfb, minimal, offscreen, xcb.

Reinstalling the application may fix this problem.
QML is not used either. If you want to get rid of this you'd have to go disable more code from even being looked at (it's not compiled - but, if the scanner sees the code file you get issues).
Nyamekye,

Return to “Technical Discussion”

Who is online

Users browsing this forum: Bing [Bot] and 7 guests